//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	//Directive needed to support Interoperability
	using System.Runtime.InteropServices;
	
    
	public partial class ScriptModule1
	{
			public void ButtonBuzzerTest()
			{
				if(System.Environment.OSVersion.Platform == PlatformID.WinCE)
				{	
					//Invoking the SetBuzzer 
					bool buzzerResult = SetBuzzer(Globals.Tags.InternalFrequence.Value,
					Globals.Tags.InternalDuration.Value,	
					Globals.Tags.InternalQueued.Value);
				}
			}

			//Attribute to import the dll to gain access to the BE Hardware API
			//Handles the communication between manaaged code (.Net) and
			//unmanaged code in any language (COM).
			//
			//If needed in a PC platform invoke Win32 API instead
			// [DllImport("kernel32.dll)]
			// public static extern bool Beep(int freq, int duration)
			//
			//Example below is for iX Panels
			[DllImport("BeHwApi.dll", EntryPoint="SetBuzzer")]
			public static extern bool SetBuzzer(uint nFrequence, uint nDuration, bool bQueued);
			
		
		public void ButtonLowTest()
		{
			if(System.Environment.OSVersion.Platform == PlatformID.WinCE)
			{	
				//Invoking the SetBuzzer 
				bool buzzerResult = SetBuzzer(2000, 50, true);
			}
		}
		public void ButtonMedTest()
		{
			if(System.Environment.OSVersion.Platform == PlatformID.WinCE)
			{	
				//Invoking the SetBuzzer 
				bool buzzerResult = SetBuzzer(3000, 50, true);
			}
		}
		public void ButtonHighTest()
		{
			if(System.Environment.OSVersion.Platform == PlatformID.WinCE)
			{	
				//Invoking the SetBuzzer 
				bool buzzerResult = SetBuzzer(4000, 50, true);
			}
		}
		public void Praetorians_Mozarts_Ghost(uint i, uint j)
		{
			
			if(System.Environment.OSVersion.Platform == PlatformID.WinCE)
			{	
				//Invoking the SetBuzzer 
				bool buzzerResult = SetBuzzer(i, j, true);									
			}
			
		}
		
		
	
	} 
		
		
    
}
